> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Clusters Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters:
    get:
      tags:
        - Cluster
      summary: List Clusters Endpoint
      operationId: list_clusters_endpoint_api_v1_clusters_get
      parameters:
        - in: query
          name: cluster_id
          required: false
          schema:
            anyOf:
              - format: uuid4
                type: string
              - type: 'null'
            title: Cluster Id
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: query
          name: cluster_name
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cluster Name
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClusterListResponseContract'
          description: Successful response
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ClusterListResponseContract:
      properties:
        metrics:
          type: object
        pagination:
          type: object
        result:
          items:
            $ref: '#/components/schemas/ClusterListItemContract'
          type: array
      required:
        - result
        - pagination
        - metrics
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ClusterListItemContract:
      properties:
        id:
          format: uuid
          type: string
        kind:
          type: string
        managed_provenance:
          anyOf:
            - $ref: '#/components/schemas/ManagedProvenance'
            - type: 'null'
        name:
          type: string
        ownership:
          anyOf:
            - $ref: '#/components/schemas/ManagedProvenance'
            - type: 'null'
        state:
          type: string
      required:
        - id
        - name
        - kind
        - state
        - managed_provenance
        - ownership
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ManagedProvenance:
      enum:
        - created
        - imported
        - unknown
      type: string

````